phy_read
Prev | PHY Support | Next

## Name

phy_read — Convenience function for reading a given PHY register

## Synopsis

`int phy_read (` | struct phy_device * | phydev,
| u16 | regnum`)`;

## Arguments

`phydev`

  the phy_device struct

`regnum`

  register number to read

## NOTE

MUST NOT be called from interrupt context, because the bus read/write functions may wait for an interrupt to conclude the operation.

Prev | Up | Next
phy_print_status | Home | phy_write